package java.util.function;

import java.util.Objects;

@FunctionalInterface
public interface IntPredicate
{
    public abstract boolean test(int p0);
    
    default public IntPredicate and(IntPredicate obj) {
        Objects.requireNonNull(obj);
        return n2/* int, */ -> this.test(n2) && p0.test(n2);
    }
    
    default public IntPredicate negate() {
        return n2/* int, */ -> !this.test(n2);
    }
    
    default public IntPredicate or(IntPredicate obj) {
        Objects.requireNonNull(obj);
        return n2/* int, */ -> this.test(n2) || p0.test(n2);
    }
}
